## org.apache.lucene.analysis.util
Class ElisionFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.util.ElisionFilter

All Implemented Interfaces:
  Closeable

    public final class ElisionFilter

extends TokenFilter

Removes elisions from a `TokenStream`. For example, "l'avion" (the plane) will be tokenized as "avion" (plane).

See Also:
  Elision in Wikipedia

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ElisionFilter(TokenStream input, CharArraySet articles)` Constructs an elision filter with a Set of stop words

Method Summary
`boolean` `incrementToken()` Increments the `TokenStream` with a `CharTermAttribute` without elisioned start

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElisionFilter

    public ElisionFilter(TokenStream input,
                         CharArraySet articles)

  Constructs an elision filter with a Set of stop words

  Parameters:
    `input` - the source `TokenStream`
    `articles` - a set of stopword articles

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Increments the `TokenStream` with a `CharTermAttribute` without elisioned start

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.